Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.forms
Class Form

    java.lang.Object
      |
      +--org.w3c.tools.forms.Form

public class Form
extends java.lang.Object

Field Summary
`protected FormHandlerInterface` | `handler` The handler of the form.

Constructor Summary
`Form(FormHandlerInterface handler)`

Method Summary
`void` | `addField(java.lang.String name, java.lang.String title, FormField field)` Register a new form field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected FormHandlerInterface handler

  The handler of the form.

Constructor Detail

### Form

    public Form(FormHandlerInterface handler)

Method Detail

### addField

    public void addField(java.lang.String name,
                         java.lang.String title,
                         FormField field)

  Register a new form field.
  Parameters:
    `name` - The name of the field to be defined.
    `title` - Title of the field to be defined.
    `field` - The field editor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD